---
title: RTCIceCandidateStats.transportId
slug: Web/API/RTCIceCandidateStats/transportId
tags:
  - API
  - Candidate
  - Connection
  - Connectivity
  - ICE
  - Network
  - Networking
  - Property
  - RTCIceCandidateStats
  - Reference
  - Statistics
  - Stats
  - Transport
  - WebRTC
  - WebRTC API
  - id
  - rtc
  - transportID
---
<p>{{APIRef("WebRTC")}}<br>
 <span class="seoSummary">The {{domxref("RTCIceCandidateStats")}} dictionary's <strong><code>transportId</code></strong> property is a string that uniquely identifies the transport that produced the {{domxref("RTCTransportStats")}} from which information about this candidate was taken.</span></p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>transportID</em> = <em>rtcIceCandidateStats</em>.transportId;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("DOMString")}} whose value uniquely identifies the transport from which any transport-related information accumulated in the {{domxref("RTCIceCandidateStats")}} was taken. This can be used to compare candidates that would use the same transport, for example.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{ SpecName('WebRTC Statistics Identifiers', '#dom-rtcicecandidatestats-transportid', 'RTCIceCandidateStats.transportId') }}</td>
   <td>{{ Spec2('WebRTC Statistics Identifiers') }}</td>
   <td>Initial specification.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.RTCIceCandidateStats.transportId")}}</p>
